## PhoshTorchInfo

PhoshTorchInfo — A widget to display the torch status

## Functions

GtkWidget * | phosh_torch_info_new ()

## Properties

gboolean | enabled | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_TORCH_INFO
| PhoshTorchInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshTorchInfo

## Implemented Interfaces

PhoshTorchInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshTorchInfo displays the current torch status based on information from PhoshTorchManager. To figure out if the widget should be shown the “enabled” property can be useful.

## Functions

### phosh_torch_info_new ()

    GtkWidget *
    phosh_torch_info_new (void);

## Types and Values

### PHOSH_TYPE_TORCH_INFO

    #define PHOSH_TYPE_TORCH_INFO (phosh_torch_info_get_type ())

### PhoshTorchInfo

    typedef struct _PhoshTorchInfo PhoshTorchInfo;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether the torch is enabled.

Owner: PhoshTorchInfo

Flags: Read

Default value: FALSE

### The `“present”` property

      “present”                  gboolean

Whether torch hardware is present.

Owner: PhoshTorchInfo

Flags: Read

Default value: FALSE